﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Band Detector Table Cal /N5531S
DATE:                  2014-03-01 10:57:22
AUTHOR:                Al Shannon
REVISION:              $Revision: 8090 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       92
CONFIGURATION:         Agilent PSA
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_band_detector_table_cal_n5531s.mc $
#    $Date: 2014-06-10 06:35:26 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Init Set Level DAC /N5531S
#        Sub MG369XC Set Level DAC /N5531S
#        Sub MG369XC Detector DAC Cal /N5531S
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# @CalMaxLevel and @CalMinLevel are assigned values in Set Model Flags.  The
# values come from the DUT and are the max and min power levels over which the
# detector is calibrated.
  1.001  MATH         @LvldBm = @CalMaxLevel - 10
  1.002  MATH         @FreqGHz = @BandMaxFreq
  1.003  MATH         freqMHz = @FreqGHz * 1000
  1.004  IEEE         FRQ[V freqMHz]X[D50]

# Set up the N5531S for Tuner RF Power Level measurements at this frequency.
  1.005  CALL         Sub MG369XC Init Set Level DAC /N5531S

# Check that the N5531S obtained a Range 1 Cal factor.
  1.006  IEEE2        [@N5531S] :calc:trfl:caf1?[I]

  1.007  IF           MEM == -999
  1.008  DISP         Detector Table Cal
  1.008  DISP         Error: N5531S Range 1 cal factor could not be found!
  1.008  DISP         Power level may be too low.
  1.009  END
  1.010  ENDIF


  1.011  MATH         @CalLevel = @CalMinLevel
  1.012  MATH         @CalMax = -5
  1.013  IEEE         ATT00[D50]
  1.014  CALL         Sub MG369XC Detector DAC Cal /N5531S

  1.015  MATH         @CalLevel = -8
  1.016  MATH         @CalMax = 3
  1.017  IEEE         ATT01[D50]
  1.018  CALL         Sub MG369XC Detector DAC Cal /N5531S

  1.019  MATH         @CalLevel = 0
  1.020  MATH         @CalMax = @CalMaxLevel
  1.021  IEEE         ATT02[D50]
  1.022  CALL         Sub MG369XC Detector DAC Cal /N5531S

# Fill up the remaining table entries if necessary
  1.023  WHILE        @CalLevel <= @CalMaxLevel

  1.024  TARGET       -p

  1.025  MATH         @LevelDAC = @LevelDAC + @DACChangeHalfdB
  1.026  IEEE         PAD[V @LevelDAC]X[D50]

# Store DAC value
  1.027  IEEE         WHN[D50]

  1.028  MATH         @CalLevel = @CalLevel + 0.5
  1.029  ENDW

  1.030  END
