﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Band Log Amp Bkpt Cal /N5531S
DATE:                  2014-03-01 10:57:37
AUTHOR:                Al Shannon
REVISION:              $Revision: 8091 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       113
CONFIGURATION:         Agilent PSA
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_band_log_amp_bkpt_cal_n5531s.mc $
#    $Date: 2014-06-10 06:36:55 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Init Set Level DAC /N5531S
#        Sub MG369XC Set Level DAC /N5531S
#        Sub MG369XC Set Detector DAC /N5531S
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @BandMaxPower < 0
  1.002  DISP         Log Amp Breakpoint Cal
  1.002  DISP         Caution!  Band maximum power is [V @BandMaxPower]
  1.002  DISP         which is too low for an accurate measurement.
  1.003  ENDIF

  1.004  MATH         @DetectorDAC = 187
  1.005  MATH         @LvldBm = @BandMaxPower
  1.006  MATH         @FreqGHz = @BandMaxFreq
  1.007  MATH         freqMHz = @FreqGHz * 1000
  1.008  IEEE         FRQ[V freqMHz]X[D50]

# Initialize the N5531S Tuned RF Power mode to set the DAC levels for this
# frequency.
  1.009  CALL         Sub MG369XC Init Set Level DAC /N5531S

# Check that the N5531S obtained a Range 1 Cal factor.
  1.010  IEEE2        [@N5531S] :calc:trfl:caf1?[I]

  1.011  IF           MEM == -999
  1.012  DISP         Log Amp Breakpoint Cal
  1.012  DISP         Error: N5531S Range 1 cal factor could not be found!
  1.012  DISP         Power level may be too low.
  1.013  END
  1.014  ENDIF


  1.015  MATH         i = 0
  1.016  WHILE        i < 3

  1.017  TARGET       -p

# Set low detector gain range and the detector DAC value
  1.018  IEEE         ATT00 DAB[V @DetectorDAC]X[D50]

  1.019  MATH         @FreqGHz = @BandMaxFreq
  1.020  MATH         @LvldBm = -15
  1.021  CALL         Sub MG369XC Set Level DAC /N5531S
  1.022  MATH         levelDAC_15L = @LevelDAC

  1.023  MATH         @FreqGHz = @BandMaxFreq
  1.024  MATH         @LvldBm = -5
  1.025  CALL         Sub MG369XC Set Level DAC /N5531S
  1.026  MATH         levelDAC_5L = @LevelDAC

# Set high detector gain range and detector DAC value
  1.027  IEEE         ATT02 DAB[V @DetectorDAC]X[D50]

  1.028  MATH         @FreqGHz = @BandMaxFreq
  1.029  MATH         @LvldBm = -5
  1.030  CALL         Sub MG369XC Set Level DAC /N5531S
  1.031  MATH         levelDAC_5H = @LevelDAC

# Search for the DAC level that produces the power level @LvldBm
  1.032  MATH         @FreqGHz = @BandMaxFreq
  1.033  MATH         @LvldBm = @BandMaxPower - 1
  1.034  CALL         Sub MG369XC Set Level DAC /N5531S
  1.035  MATH         levelDAC_Max = @LevelDAC

# Calculate what the detector power should be
  1.036  MATH         L[1] = levelDAC_Max - levelDAC_5H
  1.037  MATH         L[2] = levelDAC_5L - levelDAC_15L
  1.038  MATH         @DetectorPower = 10 * L[1] / L[2] - 5

# Set the detector DAC to a value that results in as close as
# you can get to the expected power.

  1.039  CALL         Sub MG369XC Set Detector DAC /N5531S

  1.040  MATH         i = i + 1
  1.041  ENDW

  1.042  END
