﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Get Flat Cal Power
DATE:                  2013-11-18 13:08:12
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       53
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_get_flat_cal_power.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON


# Set power level based on step, firmware version & rated power
  1.001  MATH         L[1] = @PowerHigh > 19
  1.002  MATH         L[2] = @FirmwareVer >= 3.2
  1.003  MATH         L[3] = @FirmwareVer < 3.4
  1.004  MATH         L[4] = @PowerHigh > 15
  1.005  MATH         L[5] = @FirmwareVer >= 3.4

  1.006  IF           @Step == 0 && L[1] && L[2] && L[3]
  1.007  MATH         @FlatCalLvldBm = 19
  1.008  ELSEIF       @Step == 0 && L[4] && L[5]
  1.009  MATH         @FlatCalLvldBm = 15
  1.010  ELSE
  1.011  MATH         @FlatCalLvldBm = @PowerHigh - (@Step * 10)
  1.012  ENDIF

  1.013  END
