﻿Anritsu Company                                             MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Increment Flatness Cal Freq
DATE:                  2013-11-18 13:08:15
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       67
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_increment_flatness_cal_freq.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           @FreqGHz < 20E-3
  1.002  MATH         @FreqGHz = @FreqGHz + 1E-3
  1.003  ELSEIF       @Opt_4 && @FreqGHz < 2.2
  1.004  MATH         @FreqGHz = @FreqGHz + 10E-3
  1.005  ELSEIF       @Opt_5 && @FreqGHz < 2.0
  1.006  MATH         @FreqGHz = @FreqGHz + 10E-3
  1.007  ELSE
  1.008  MATH         @FreqGHz = @FreqGHz + 100E-3
  1.009  ENDIF

# Adjust the freq at the DC/Main Band crossover to take a measurment on
# each side of the crossover.
  1.010  IF           @FreqGHz > 2.301
#                     No adjustment needed
  1.011  ELSEIF       @FreqGHz < 1.999
#                     No adjustment needed
  1.012  ELSEIF       @Opt_4 && @FreqGHz == 2.2
  1.013  MATH         @FreqGHz = 2.2 - 1E-3
  1.014  ELSEIF       @Opt_5 && @FreqGHz == 2
  1.015  MATH         @FreqGHz = 2.0 - 1E-3
  1.016  ELSEIF       @FreqGHz == 2.2 - 1E-3 + 10E-3
  1.017  MATH         @FreqGHz = 2.2 + 1E-3
  1.018  ELSEIF       @FreqGHz == 2.0 - 1E-3 + 10E-3
  1.019  MATH         @FreqGHz = 2.0 + 1E-3
  1.020  ELSEIF       @FreqGHz == 2.2 + 1E-3 + 100E-3
  1.021  MATH         @FreqGHz = 2.2 + 100E-3
  1.022  ELSEIF       @FreqGHz == 2.0 + 1E-3 + 100E-3
  1.023  MATH         @FreqGHz = 2.0 + 100E-3
  1.024  ENDIF

  1.025  END
