﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Log Amp Bkpt Cal /N5531S
DATE:                  2014-02-22 15:23:27
AUTHOR:                Al Shannon
REVISION:              $Revision: 8100 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       81
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_log_amp_bkpt_cal_N5531S.mc $
#    $Date: 2014-06-10 06:40:44 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Band Log Amp Bkpt Cal /N5531S
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  HEAD         {Log Amp Breakpoint Calibration}
  1.002  HEAD         -2

# Set the sensor switch freq to the lowest max freq value so only one
# power sensor will be needed.  The 0.1 GHz value comes from the lowest
# freq searched for max power values.
  1.003  MATH         @N5532_PS_Switch_Freq = 0.1

# Prepare the signal generator for log amp bkpt calibration
  1.004  IEEE         RST[D2000]RF0
  1.005  IEEE         CSB SQ1 MB2D SB1 WH1[D2000]
  1.006  IEEE         WHF116[D50]

  1.007  TARGET       -p

  1.008  IF           @Opt_4 || @Opt_5
  1.009  HEAD         {Log Amp Breakpoint Calibration - Downconverter Band}

  1.010  MATH         @BandMaxPower = @DCMaxPower
  1.011  MATH         @BandMaxFreq = @DCMaxFreq
  1.012  CALL         Sub MG369XC Band Log Amp Bkpt Cal /N5531S

# Store values and go to next band.  Wait for an SRQ indicating the cal is
# finished.
  1.013  IEEE         WHN [SRQ 1000] CSB
  1.014  ENDIF

  1.015  TARGET       -p

  1.016  HEAD         {Log Amp Breakpoint Calibration - Main Band}

  1.017  MATH         @BandMaxPower = @MainMaxPower
  1.018  MATH         @BandMaxFreq = @MainMaxFreq
  1.019  CALL         Sub MG369XC Band Log Amp Bkpt Cal /N5531S

# Store values.  Wait for an SRQ indicating the cal is finished.
  1.020  IEEE         WHN [SRQ 1000] CSB

  1.021  TARGET       -p

# Exit the cal, store the results, and exit calibration mode.
  1.022  IEEE         WHX PGM [SRQ 5000] WH0
  1.023  WAIT         -a -t 15 Please wait for the unit to restart
  1.024  END
