﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Reset & SRQ Masks
INSTRUMENT:            Sub MG369XC Init Level Adj Connection Flags
INSTRUMENT:            Sub MG369XC Additional Level Adj Equipment Required
INSTRUMENT:            Sub MG369XC Get Options
DATE:                  2014-02-26 12:44:55
AUTHOR:                Fluke
REVISION:              $Revision: 8086 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       299
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_utilities_4.mc $
#    $Date: 2014-06-10 06:30:34 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        DAC, AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 7.20p or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         RESET_AND_SRQ_MASK           PSUBI("Reset & SRQ Masks")
  1.002  JMPL         INIT_CON_FLAGS               PSUBI("Connection")
  1.003  JMPL         ADDITIONAL_REQ_EQUIP         PSUBI("Equipment")
  1.004  JMPL         GET_OPTIONS                  PSUBI("Get Options")
  1.005  DISP         Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# =====  Sub Anritsu MG369XC Reset & Set SRQ Masks  =========================
#
#        RST   Reset to default settings
#        PE1   Enables Parameter Range Error SRQ generation
#        SE1   Enables Syntax Error SRQ generation
#        UL1   Enables RF Unleveled SRQ generation
#        SQ1   Enables the SRQ generation function
#        RF0   Turns off the RF output

  2.001  LABEL        RESET_AND_SRQ_MASK
  2.002  IEEE         RSTPE1SE1UL1SQ1RF0
  2.003  END

  2.004  EVAL   Increment step number

# =====  Sub MG369XC Init Connection Flags  =================================

  3.001  LABEL        INIT_CON_FLAGS
  3.002  MATH         @MG369XC_N5532A_Con     = ""
  3.003  END

  3.004  EVAL   Increment step number

# =====  Sub MG369XC Additional Equipment level Required  ====================

  4.001  LABEL        ADDITIONAL_REQ_EQUIP
  4.002  HEAD         EQUIPMENT REQUIREMENTS
  4.003  OPBR         -z Do you want to REVIEW the list of additional
  4.003  OPBR         equipment and/or accessories required?

  4.004  IF           MEM1

  4.005  IF           ZCMP(@MG369XC_Con, "K")
  4.006  DISP         Additional equipment/accessories required (1 of 3):
  4.006  DISP
  4.006  DISP         Precision Fixed Attenuator (DC to 40 GHz)
  4.006  DISP         [32]   Anritsu P/N 41KC-10
  4.006  DISP         [32]   (Must be characterized -See readme
  4.006  DISP         [32]   file for details)
  4.006  DISP
  4.006  DISP         Common Precision Adapter
  4.006  DISP         [32]   1 ea. Type 2.4 mm (f) to Type 2.92 mm (K)(m)
  4.006  DISP         [32]     Agilent 11904D
  4.006  DISP         [32]     Used with Power sensor opt 550
  4.006  DISP         [32]   (Must be characterized -See readme
  4.006  DISP         [32]   file for details)

  4.007  ELSE
  4.008  DISP         Additional equipment/accessories required (1 of 3):
  4.008  DISP
  4.008  DISP         Precision Fixed Attenuator Set (DC to 60 GHz)
  4.008  DISP         [32]   Anritsu P/N 41V-10
  4.008  DISP         [32]   (Must be characterized -See readme
  4.008  DISP         [32]   file for details)
  4.008  DISP
  4.008  DISP         Common Precision Adapter
  4.008  DISP         [32]   1 ea. Type 1.85 mm (V)(m) to 2.4 mm (f)
  4.008  DISP         [32]     Pasternack PE9673
  4.008  DISP         [32]     Used with power sensor N5532B option 550
  4.008  DISP         [32]   (Must be characterized -See readme
  4.008  DISP         [32]   file for details)
  4.008  DISP

  4.009  ENDIF

  4.010  DISP         Additional equipment/accessories required (2 of 3):
  4.010  DISP
  4.010  DISP         Common Precision Adapaters:
  4.010  DISP         [32]   2.4 mm(f) to 2.92 mm K(f)
  4.010  DISP         [32]     Agilent 1250-3782
  4.010  DISP         [32]     Used with power sensor N5532B option 504
  4.010  DISP         [32]   (Must be characterized -See readme
  4.010  DISP         [32]   file for details)
  4.010  DISP
  4.010  DISP         [32]   1 ea. Type 2.4 mm (f) to Type N (m)
  4.010  DISP         [32]     Agilent 11903-60002
  4.010  DISP         [32]     N1912A CALIBRATOR for Power sensor opt 550
  4.010  DISP         [32]   (Must be characterized -See readme
  4.010  DISP         [32]   file for details)


  4.011  DISP         Additional equipment/accessories required (3 of 3):
  4.011  DISP
  4.011  DISP         Common Precision Adapaters (cont.):
  4.011  DISP         [32]   1 ea. Type 2.4 mm (f) to 2.4 mm (f)
  4.011  DISP         [32]     Agilent 11900B
  4.011  DISP         [32]     Used with power sensor N5532B option 550
  4.011  DISP         [32]   (Must be characterized -See readme
  4.011  DISP         [32]   file for details)
  4.011  DISP
  4.011  DISP         [32]   1 ea. Type K (m) to Type N (f)
  4.011  DISP         [32]     Anritsu 34NFK50
  4.011  DISP         [32]     Used with power sensor Opt 504
  4.011  DISP         [32]   (Must be characterized -See readme
  4.011  DISP         [32]   file for details)

  4.012  ENDIF

  4.013  HEAD
  4.014  END


  4.015  EVAL   Increment step number

# =====  Sub MG369XC Get Options  ===========================================

#        Opt 2A/2B/2C            Mechanical Step Attenuator
#        Opt 2E                  Electronic Step Attenuator
#        Opt 3                   Ultra Low Phase Noise
#        Opt 4                   Digital Down Converter
#        Opt 5                   Analog Down Converter
#        Opt 6                   Analog Sweep Capability
#        Opt 8                   Power Monitor
#        Opt 10                  User-defined Modulation Waveform Software
#        Opt 12                  External FM/PM modulation
#        Opt 13                  External Pulse modulation
#        Opt 14                  External AM modulation
#        Opt 15A/15B/15C/15D     High Power Output
#        Opt 16                  High Stability Time Base
#        Opt 20                  Scan Modulation
#        Opt 22                  Low Frequency Audio DDS
#        Opt 23                  Internal LF Generator
#        Opt 24                  Internal Pulse generator
#        Opt 3X                  Premium Phase Noise

# Composite Options (used when ordering)

#        Opt 28A                 Full Modulation Suite (12,14,26A,27)
#        Opt 28B                 Full Modulation Suite (12,14,26B,27)

  5.001  LABEL        GET_OPTIONS
  5.002  HEAD         UUT OPTIONS
  5.003  RSLT         =
  5.004  RSLT         =INSTALLED OPTIONS
  5.005  RSLT         =

# Initialize option flags to false (0).

# Base options (return on bus)
  5.006  MATH         @Opt_2A  = 0
  5.007  MATH         @Opt_2B  = 0
  5.008  MATH         @Opt_2C  = 0
  5.009  MATH         @Opt_2E  = 0
  5.010  MATH         @Opt_3   = 0
  5.011  MATH         @Opt_4   = 0
  5.012  MATH         @Opt_5   = 0
  5.013  MATH         @Opt_6   = 0
  5.014  MATH         @Opt_8   = 0
  5.015  MATH         @Opt_10  = 0
  5.016  MATH         @Opt_12  = 0
  5.017  MATH         @Opt_13  = 0
  5.018  MATH         @Opt_14  = 0
  5.019  MATH         @Opt_15A = 0
  5.020  MATH         @Opt_15B = 0
  5.021  MATH         @Opt_15C = 0
  5.022  MATH         @Opt_15D = 0
  5.023  MATH         @Opt_16  = 0
  5.024  MATH         @Opt_17  = 0
  5.025  MATH         @Opt_18  = 0
  5.026  MATH         @Opt_20  = 0
  5.027  MATH         @Opt_22  = 0
  5.028  MATH         @Opt_23  = 0
  5.029  MATH         @Opt_24  = 0
  5.030  MATH         @Opt_3X  = 0

  5.031  MATH         Field = 1
  5.032  IEEE         OO[I$]

  5.033  DO
  5.034  MATH         Opt = FLD(MEM2, Field, ",")

  5.035  IF           ZCMPI(Opt, "2A")
  5.036  RSLT         = Mechanical Step Attenuator
  5.037  MATH         @Opt_2A  = 1
  5.038  ELSEIF       ZCMPI(Opt, "2B")
  5.039  RSLT         = Mechanical Step Attenuator
  5.040  MATH         @Opt_2B  = 1
  5.041  ELSEIF       ZCMPI(Opt, "2C")
  5.042  RSLT         = Mechanical Step Attenuator
  5.043  MATH         @Opt_2C  = 1
  5.044  ELSEIF       ZCMPI(Opt, "2E")
  5.045  RSLT         = Electronic Step Attenuator
  5.046  MATH         @Opt_2E  = 1
  5.047  ELSEIF       ZCMPI(Opt, "3")
  5.048  RSLT         = Ultra Low Phase Noise
  5.049  MATH         @Opt_3   = 1
  5.050  ELSEIF       ZCMPI(Opt, "4")
  5.051  RSLT         = Digital Down Converter
  5.052  MATH         @Opt_4   = 1
  5.053  ELSEIF       ZCMPI(Opt, "5")
  5.054  RSLT         = Analog Down Converter
  5.055  MATH         @Opt_5   = 1
  5.056  ELSEIF       ZCMPI(Opt, "6")
  5.057  RSLT         = Analog Sweep Capability
  5.058  MATH         @Opt_6   = 1
  5.059  ELSEIF       ZCMPI(Opt, "8")
  5.060  RSLT         = Power Monitor
  5.061  MATH         @Opt_8   = 1
  5.062  ELSEIF       ZCMPI(Opt, "10")
  5.063  RSLT         = User-defined Mod Waveform Software
  5.064  MATH         @Opt_10  = 1
  5.065  ELSEIF       ZCMPI(Opt, "12")
  5.066  RSLT         = External FM/PM Modulation
  5.067  MATH         @Opt_12  = 1
  5.068  ELSEIF       ZCMPI(Opt, "13")
  5.069  RSLT         = External Pulse Modulation
  5.070  MATH         @Opt_13 = 1
  5.071  ELSEIF       ZCMPI(Opt, "14")
  5.072  RSLT         = External Amplitude Modulation
  5.073  MATH         @Opt_14  = 1
  5.074  ELSEIF       ZCMPI(Opt, "15A")
  5.075  RSLT         = High Power Output
  5.076  MATH         @Opt_15A = 1
  5.077  ELSEIF       ZCMPI(Opt, "15B")
  5.078  RSLT         = High Power Output
  5.079  MATH         @Opt_15B = 1
  5.080  ELSEIF       ZCMPI(Opt, "15C")
  5.081  RSLT         = High Power Output
  5.082  MATH         @Opt_15C = 1
  5.083  ELSEIF       ZCMPI(Opt, "15D")
  5.084  RSLT         = High Power Output
  5.085  MATH         @Opt_15D = 1
  5.086  ELSEIF       ZCMPI(Opt, "16")
  5.087  RSLT         = High Stability Time Base
  5.088  MATH         @Opt_16  = 1
  5.089  ELSEIF       ZCMPI(Opt, "20")
  5.090  RSLT         = Scan Modulation
  5.091  MATH         @Opt_20  = 1
  5.092  ELSEIF       ZCMPI(Opt, "22")
  5.093  RSLT         = Low Frequency Audio DDS
  5.094  MATH         @Opt_22  = 1
  5.095  ELSEIF       ZCMPI(Opt, "23")
  5.096  RSLT         = Internal LF Generator
  5.097  MATH         @Opt_23 = 1
  5.098  ELSEIF       ZCMPI(Opt, "24")
  5.099  RSLT         = Internal Pulse Generator
  5.100  MATH         @Opt_24 = 1
  5.101  ELSEIF       ZCMPI(Opt, "3X")
  5.102  RSLT         = Premium Phase Noise
  5.103  MATH         @Opt_3X = 1
  5.104  ENDIF

  5.105  MATH         Field = Field + 1
  5.106  UNTIL        ZCMP(Opt, "")

# Set abbreviated flags.
  5.107  MATH         @Opt_2  = @Opt_2A  || @Opt_2B  || @Opt_2C  || @Opt_2E
  5.108  MATH         @Opt_15 = @Opt_15A || @Opt_15B || @Opt_15C || @Opt_15D
  5.109  HEAD
  5.110  END
